Skip to main content
POST
/
twitter
/
user_login_v2
Log in
curl --request POST \
  --url https://api.aisa.one/apis/v1/twitter/user_login_v2 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_name": "<string>",
  "email": "<string>",
  "password": "<string>",
  "proxy": "<string>",
  "totp_secret": "<string>"
}
'
{
  "status": "<string>",
  "msg": "<string>",
  "login_cookie": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
user_name
string
required

User name.Must be set

email
string
required

Email.Must be set

password
string
required

The password of the user

proxy
string
required

The proxy to use.Please use high-quality residential proxies and avoid free proxies.Required.Example: http://username:password@ip:port . You can get proxy from: https://www.webshare.io/

totp_secret
string
required

The totp secret of the user.If you don't have it, you can get it from the user's profile page.This field is required because it will make your login more reliable and less likely to be banned.

Response

200 - application/json

Successful login

status
string

Status of the request.

msg
string

Message of the request.

The login cookie of the user.Use this cookie to post tweets, etc.You can only call v2 APIs with this cookie.If your account is in good standing and you're using residential proxies, the cookies will generally remain valid indefinitely.